## python-dogpile.cache 0.5.1

=== docs/build/requirements.txt ===
mako
dogpile
changelog

## python-dogpile.cache 0.5.0

=== debian/changelog ===
python-dogpile.cache (0.5.0-1) unstable; urgency=low

  * Initial release. (Closes: #722051)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2013 20:41:04 +0800

=== debian/control ===
Source: python-dogpile.cache
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-setuptools, python-all (>= 2.6.6-3~), openstack-pkg-tools
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-dogpile.cache.git
Vcs-Git: git://anonscm.debian.org/openstack/python-dogpile.cache.git
Homepage: http://bitbucket.org/zzzeek/dogpile.cache

Package: python-dogpile.cache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Description: caching front-end based on the Dogpile lock
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/dprince/dogpile.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

## python-dogpile.cache 0.5.1

=== debian/changelog ===
python-dogpile.cache (0.5.1-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:51:26 +0000

python-dogpile.cache (0.5.1-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Nov 2013 10:00:10 -0500

python-dogpile.cache (0.5.0-0ubuntu2) saucy; urgency=low

  * debian/control: Clean up package description
  * Add autopkg tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Sep 2013 11:36:17 -0400

python-dogpile.cache (0.5.0-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Sep 2013 09:37:19 -0400

=== debian/control ===
Source: python-dogpile.cache
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~), python-mako, python-nose,
 python-mock, python-dogpile.core
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: python-dogpile.cache
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-dogpile.core
Description: caching API built around the concept of a "dogpile lock"
 A cache API built around the concep of a "dogpile lock", which allows continued access to an 
 expiring data value with a single thread generates a new value.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/dogpile.cache/dogpile.cache-(.*)\.tar.gz

## python-dogpile.cache 0.5.4

=== debian/changelog ===
python-dogpile.cache (0.5.4-1ubuntu2~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 30 Aug 2014 21:50:25 -0400

python-dogpile.cache (0.5.4-1ubuntu2) utopic; urgency=medium

  * Drop obsolete and undocumented Pre-Depends on a pre-lucid dpkg
    version. There is no need to run python-dogpile.cache's autopkg
    tests when a new dpkg version is uploaded.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Aug 2014 14:15:07 +0200

python-dogpile.cache (0.5.4-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add autopkg tests.
  * Build-depend on python{,3}-coverage.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Aug 2014 19:01:47 +0200

python-dogpile.cache (0.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support (Closes: #751739), and build the sphinx doc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jun 2014 17:23:35 +0800

python-dogpile.cache (0.5.3-1) unstable; urgency=medium

  * New upstream release (Closes: #745488).
  * Fixed upstream VCS URLs.
  * Standards-Version: is now 3.9.5.
  * Now running unit tests at build time.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 21:04:30 +0800

=== debian/control ===
Source: python-dogpile.cache
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all (>= 3.2),
               python3-setuptools
Build-Depends-Indep: python-changelog,
                     python-dogpile.core,
                     python-mock,
                     python-nose,
                     python-nosexcover,
                     python-sphinx-paramlinks,
                     python-coverage,
                     python3-coverage,
                     python3-dogpile.core,
                     python3-mock,
                     python3-nose
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-dogpile.cache.git
Vcs-Git: git://anonscm.debian.org/openstack/python-dogpile.cache.git
Homepage: http://bitbucket.org/zzzeek/dogpile.cache
XS-Testsuite: autopkgtest

Package: python-dogpile.cache
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: caching front-end based on the Dogpile lock - Python 2.x
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.
 .
 This package provides the Python 2.x module.

Package: python3-dogpile.cache
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python:Recommends}
Description: caching front-end based on the Dogpile lock - Python 3.x
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.
 .
 This package provides the Python 3.x module.

Package: python-dogpile.cache-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: caching front-end based on the Dogpile lock - doc
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = https://bitbucket.org/zzzeek/dogpile.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-dogpile.cache; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-dogpile.cache; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. nosetests || true
	rm -f .coverage
	PYTHONPATH=. nosetests3 || true
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/build $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f .coverage

## python-dogpile.cache 0.5.7

=== docs/build/requirements.txt ===
mako
dogpile
changelog
sphinx-paramlinks

=== debian/changelog ===
python-dogpile.cache (0.5.7-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Add autopkg tests.
    - Drop obsolete and undocumented Pre-Depends on a pre-lucid dpkg
      version. There is no need to run python-dogpile.cache's autopkg
      tests when a new dpkg version is uploaded.
    - Build-depend on python{,3}-coverage.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 14:24:37 -0500

python-dogpile.cache (0.5.7-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 20:34:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-dogpile.cache
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
@@ -23,11 +24,10 @@
                      python3-dogpile.core,
                      python3-mock,
                      python3-nose
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-dogpile.cache.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-dogpile.cache.git
-Homepage: http://bitbucket.org/zzzeek/dogpile.cache
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-dogpile.cache.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-dogpile.cache.git
+Homepage: https://bitbucket.org/zzzeek/dogpile.cache
 
 Package: python-dogpile.cache
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. nosetests || true
-	rm -f .coverage
 	PYTHONPATH=. nosetests3 || true
 endif
 
@@ -31,7 +30,3 @@
 	PYTHONPATH=. sphinx-build -b html docs/build $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f .coverage

=== debian/tests/control ===
Tests: import
Depends: python-dogpile.core

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/dogpile.cache dogpile.cache-(.*).tar.gz

## python-dogpile.cache 0.6.1

=== debian/changelog ===
python-dogpile.cache (0.6.1-1+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 07 Sep 2016 21:47:43 +0000

python-dogpile.cache (0.6.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ James Page ]
  * Merge Ubuntu delta into Debian:
    - Add autopkg tests.
    - Drop obsolete and undocumented Pre-Depends on a pre-lucid dpkg
      version. There is no need to run python-dogpile.cache's autopkg
      tests when a new dpkg version is uploaded.
    - Build-Depend on python{,3}-coverage.
  * Drop BD's on python{3}-dogpile.core; dogpile.core is now part
    of dogpile.cache.
  * Add python{3}-mako to BD's.
  * d/control: Add transitional packages for python{3}-dogpile.core.
  * d/rules,control: Switch unit test execution to pytest, drop
    BD's on nose.
  * d/tests: Update to exercise both python2 and python3 imports,
    correct dependencies.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jun 2016 10:50:18 +0100

python-dogpile.cache (0.5.7-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added python-pytest as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 07:57:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,39 @@
 Source: python-dogpile.cache
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+           Mehdi Abaakouk <sileht@sileht.net>,
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-sphinx,
                python3-all (>= 3.2),
-               python3-setuptools
+               python3-setuptools,
 Build-Depends-Indep: python-changelog,
-                     python-dogpile.core,
+                     python-coverage,
+                     python-mako,
                      python-mock,
-                     python-nose,
-                     python-nosexcover,
+                     python-pytest,
                      python-sphinx-paramlinks,
-                     python-coverage,
                      python3-coverage,
-                     python3-dogpile.core,
+                     python3-mako,
                      python3-mock,
-                     python3-nose
-Standards-Version: 3.9.7
+                     python3-pytest,
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-dogpile.cache.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-dogpile.cache.git
 Homepage: https://bitbucket.org/zzzeek/dogpile.cache
 
 Package: python-dogpile.cache
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: ${python:Recommends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+Recommends: ${python:Recommends},
+Breaks: python-dogpile.core (<< 0.6.1-1~),
+Replaces: python-dogpile.core (<< 0.6.1-1~),
 Description: caching front-end based on the Dogpile lock - Python 2.x
  A caching API built around the concept of a "dogpile lock", which allows
  continued access to an expiring data value while a single thread generates a
@@ -51,8 +52,11 @@
 
 Package: python3-dogpile.cache
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: ${python:Recommends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+Recommends: ${python:Recommends},
+Breaks: python3-dogpile.core (<< 0.6.1-1~),
+Replaces: python3-dogpile.core (<< 0.6.1-1~),
 Description: caching front-end based on the Dogpile lock - Python 3.x
  A caching API built around the concept of a "dogpile lock", which allows
  continued access to an expiring data value while a single thread generates a
@@ -72,7 +76,8 @@
 Package: python-dogpile.cache-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: caching front-end based on the Dogpile lock - doc
  A caching API built around the concept of a "dogpile lock", which allows
  continued access to an expiring data value while a single thread generates a
@@ -88,3 +93,17 @@
  (Beaker's internals were first written in 2005) relegated to the trash heap.
  .
  This package provides the documentation.
+
+Package: python-dogpile.core
+Architecture: all
+Depends: python-dogpile.cache,
+         ${misc:Depends},
+Description: transitional dummy package for python-dogpile.core
+ This transitional package is safe to remove.
+
+Package: python3-dogpile.core
+Architecture: all
+Depends: python3-dogpile.cache,
+         ${misc:Depends},
+Description: transitional dummy package for python3-dogpile.core
+ This transitional package is safe to remove.

## python-dogpile.cache 0.6.2

=== debian/changelog ===
python-dogpile.cache (0.6.2-5) unstable; urgency=medium

  * Revert another non-deterministic test (Closes: #861173).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Apr 2017 16:27:04 +0200

python-dogpile.cache (0.6.2-4) unstable; urgency=medium

  * Adds remove-non-deterministic-tests.patch (Closes: #841516).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Oct 2016 09:20:00 +0100

python-dogpile.cache (0.6.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 10:52:16 +0200

python-dogpile.cache (0.6.2-2) experimental; urgency=medium

  * Using OpenStack's Gerrit as VCS URLs.
  * Fixed .gitreview file.
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.
  * Removed unactive uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 22:51:09 +0200

python-dogpile.cache (0.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Aug 2016 14:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>,
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
-               openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               openstack-pkg-tools (>= 52~),
+               python-all,
                python-setuptools,
                python-sphinx,
-               python3-all (>= 3.2),
+               python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-changelog,
                      python-coverage,
@@ -23,8 +21,8 @@
                      python3-mock,
                      python3-pytest,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-dogpile.cache.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-dogpile.cache.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-dogpile.cache?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-dogpile.cache -b debian/newton
 Homepage: https://bitbucket.org/zzzeek/dogpile.cache
 
 Package: python-dogpile.cache

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. nosetests || true
-	PYTHONPATH=. nosetests3 || true
+	PYTHONPATH=. python -m pytest
+	PYTHONPATH=. python3 -m pytest
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Tests: import
Depends: python-dogpile.cache, python3-dogpile.cache

## python-dogpile.cache 0.7.1

=== debian/changelog ===
python-dogpile.cache (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop d/tests and use autopkgtest-pkg-python testsuite instead
    (Closes: #930811)
  * Remove zero size file from docs
  * d/watch: Use pypi.debian.net
  * Standards-Version is 4.4.0 now (no change)
  * Bump debhelper compat level to 11
  * d/patches/no-intersphinx.patch: Fix typo in patch description

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 22:11:12 +0200

python-dogpile.cache (0.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:59:46 +0200

python-dogpile.cache (0.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-dogpile.core transitional package after Buster is released.
  * Removed Python 2 support.
  * Removed Breaks+Replaces: python3-dogpile.core (<< 0.6.1-1~) after Buster
    is released.
  * Using Python 3 to build the sphinx doc.
  * Removed py37-compat.patch applied upstream.
  * Rebased remove-non-deterministic-tests.patch.
  * Add missing (build-)depends: python3-{mako,decorator}.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Mar 2019 14:29:29 +0100

python-dogpile.cache (0.6.2-6) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org.
  * Ran wrap-and-sort -bast.
  * Updating copyright format url.
  * Updating maintainer field.
  * Add missing dh-python build-depends.
  * Add python 3.7 patch from Ubuntu. Thanks to James Page for his patch.
    (Closes: #903030).
  * Use team+openstack@tracker.debian.org for maintainer.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jul 2018 14:40:04 +0200

=== debian/control ===
Source: python-dogpile.cache
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-changelog,
 python3-coverage,
 python3-decorator,
 python3-mako,
 python3-mock,
 python3-pytest,
 python3-sphinx-paramlinks,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-dogpile.cache
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-dogpile.cache.git
Homepage: https://bitbucket.org/zzzeek/dogpile.cache
Testsuite: autopkgtest-pkg-python

Package: python-dogpile.cache-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: caching front-end based on the Dogpile lock - doc
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.
 .
 This package provides the documentation.

Package: python3-dogpile.cache
Architecture: all
Depends:
 python3-decorator,
 python3-mako,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: caching front-end based on the Dogpile lock - Python 3.x
 A caching API built around the concept of a "dogpile lock", which allows
 continued access to an expiring data value while a single thread generates a
 new value.
 .
 dogpile.cache builds on the dogpile.core locking system
 (see http://pypi.python.org/pypi/dogpile.core), which implements the idea of
 "allow one creator to write while others read" in the abstract. Overall,
 dogpile.cache is intended as a replacement to the Beaker (see
 http://beaker.groovie.org) caching system, the internals of which are written
 by the same author. All the ideas of Beaker which "work" are re-implemented in
 dogpile.cache in a more efficient and succinct manner, and all the cruft
 (Beaker's internals were first written in 2005) relegated to the trash heap.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://bitbucket.org/zzzeek/dogpile.cache.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m pytest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs/build $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html
	dh_sphinxdoc
	rm $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html/_static/site_custom_css.css
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/dogpile.cache/dogpile.cache-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-dogpile.cache 0.9.0

=== docs/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
sphinx
mako
decorator

=== debian/changelog ===
python-dogpile.cache (0.9.0-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Sahid Orentino Ferdjaoui ]
  * d/watch: Get tarballs from pypi.debian.net.
  * New upstream release for OpenStack Ussuri.
  * d/p/no-intersphinx.patch: Rebased.
  * d/p/remove-non-deterministic-tests.patch: Rebased.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 10:17:30 +0000

python-dogpile.cache (0.7.1-1ubuntu1) eoan; urgency=medium

  * d/tests/import,control: Drop Python 2 test as package only
    ships Python 3.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2019 05:55:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,5 +24,4 @@
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html docs/build $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html
 	dh_sphinxdoc
-	rm $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html/_static/site_custom_css.css
 endif

=== debian/tests/control ===
Tests: import
Depends:
 python3-dogpile.cache,

=== debian/watch ===


## python-dogpile.cache 1.0.1

=== debian/changelog ===
python-dogpile.cache (1.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 29 Jul 2020 18:48:42 +0000

python-dogpile.cache (1.0.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Add stevedore dependency.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 14:38:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-dogpile.cache
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -18,12 +19,12 @@
  python3-mako,
  python3-mock,
  python3-pytest,
+ python3-stevedore,
  python3-sphinx-paramlinks,
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-dogpile.cache
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-dogpile.cache.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dogpile.cache
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dogpile.cache
 Homepage: https://bitbucket.org/zzzeek/dogpile.cache
-Testsuite: autopkgtest-pkg-python
 
 Package: python-dogpile.cache-doc
 Section: doc
@@ -52,6 +53,7 @@
 Depends:
  python3-decorator,
  python3-mako,
+ python3-stevedore,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## python-dogpile.cache 1.0.2

=== debian/changelog ===
python-dogpile.cache (1.0.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml, fixed all URLs to point to the new URL for
    dogpile.cache and fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 11:55:37 +0200

python-dogpile.cache (1.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 15:48:15 +0200

python-dogpile.cache (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Rebased no-intersphinx.patch.
  * Rebased remove-non-deterministic-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2020 13:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-dogpile.cache
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -19,12 +18,13 @@
  python3-mako,
  python3-mock,
  python3-pytest,
+ python3-sphinx-paramlinks,
  python3-stevedore,
- python3-sphinx-paramlinks,
-Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dogpile.cache
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-dogpile.cache
-Homepage: https://bitbucket.org/zzzeek/dogpile.cache
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-dogpile.cache
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-dogpile.cache.git
+Homepage: https://github.com/sqlalchemy/dogpile.cache.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-dogpile.cache-doc
 Section: doc

## python-dogpile.cache 1.1.2

=== debian/changelog ===
python-dogpile.cache (1.1.2-1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 17:21:01 +0000

python-dogpile.cache (1.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Rebase remove-non-deterministic-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Mar 2021 21:03:28 +0100

## python-dogpile.cache 1.1.4

=== debian/changelog ===
python-dogpile.cache (1.1.4-2~cloud0) focal-yoga; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 28 Oct 2021 17:42:35 +0000

python-dogpile.cache (1.1.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:26:13 +0200

python-dogpile.cache (1.1.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Sep 2021 04:29:59 +0800

python-dogpile.cache (1.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 08:40:34 +0200

## python-dogpile.cache 1.1.5

=== debian/changelog ===
python-dogpile.cache (1.1.5-2~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 02 Jun 2022 12:49:08 +0000

python-dogpile.cache (1.1.5-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:32:59 +0100

python-dogpile.cache (1.1.5-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 10:32:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT = https://bitbucket.org/zzzeek/dogpile.cache.git
+UPSTREAM_GIT = https://github.com/sqlalchemy/dogpile.cache.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -24,4 +24,5 @@
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html docs/build $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html
 	dh_sphinxdoc
+	rm $(CURDIR)/debian/python-dogpile.cache-doc/usr/share/doc/python-dogpile.cache-doc/html/_static/site_custom_css.css
 endif

## python-dogpile.cache 1.1.8

=== tests/tls/generate/Makefile ===
# chain     :: pem <= []crt
# dhparam   :: pem <= int (#bits)
# gen-ca    :: crt <= conf, key
# gen-csr   :: csr <= conf, key
# gen-key    :: key <= int (#bits)
# gen-ecckey :: key <= string (ECC Prime)
# self-sign :: crt <= days, hash, extensions, conf, csr, key (self)
# sign      :: crt <= days, hash, extensions, conf, csr, key (CA), crt (CA)

# Note: Files and paths must not contain spaces.

DOMAIN = localhost
DEFAULT_CERT_TYPE = rsa2048
DEFAULT_DAYS = 730
DEFAULT_HASH = sha256
DEST = gen/

DEFAULT_CA_SIGN = 3650 $(DEFAULT_HASH) req_v3_ca
DEFAULT_server_SIGN = $(DEFAULT_DAYS) $(DEFAULT_HASH) req_v3_usr

.PHONY: all
all: install

.PHONY: clean
clean:
	rm -rf $(DEST)

# root CA #############################
$(DEST)ca-root.key:
	./tool gen-key $@ $(DOMAIN) 4096
$(DEST)ca-root.crt: conf/ca-root.conf $(DEST)ca-root.key
	./tool gen-ca $@ $(DOMAIN) $^

# intermediate CA #####################
$(DEST)ca-intermediate.key:
	./tool gen-key $@ $(DOMAIN) 4096
$(DEST)ca-intermediate.csr: conf/ca-intermediate.conf $(DEST)ca-intermediate.key
	./tool gen-csr $@ $(DOMAIN) $^
$(DEST)ca-intermediate.crt: conf/ca-intermediate.conf $(DEST)ca-intermediate.csr $(DEST)ca-root.key $(DEST)ca-root.crt
	./tool sign $@ $(DOMAIN) $(DEFAULT_CA_SIGN) $^

# server cert #########################
$(DEST)server-rsa2048.key:
	./tool gen-key $@ $(DOMAIN) 2048
$(DEST)server-rsa2048.csr: conf/server.conf $(DEST)server-rsa2048.key
	./tool gen-csr $@ $(DOMAIN) $^
$(DEST)server-rsa2048.crt: conf/server.conf $(DEST)server-rsa2048.csr $(DEST)ca-intermediate.key $(DEST)ca-intermediate.crt
	./tool sign $@ $(DOMAIN) $(DEFAULT_server_SIGN) $^
$(DEST)server-rsa2048.pem: $(DEST)server-rsa2048.crt $(DEST)ca-intermediate.crt
	./tool chain $@ $(DOMAIN) $^
CHAINS += $(DEST)server-rsa2048.pem

# client root CA ######################
$(DEST)client-ca-root.key:
	./tool gen-key $@ $(DOMAIN) 4096
$(DEST)client-ca-root.crt: conf/client-ca-root.conf $(DEST)client-ca-root.key
	./tool gen-ca $@ $(DOMAIN) $^

# client cert #########################
$(DEST)client.key:
	./tool gen-key $@ $(DOMAIN) 2048
$(DEST)client.csr: conf/client.conf $(DEST)client.key
	./tool gen-csr $@ $(DOMAIN) $^
$(DEST)client.crt: conf/client.conf $(DEST)client.csr $(DEST)client-ca-root.key $(DEST)client-ca-root.crt
	./tool sign $@ $(DOMAIN) $(DEFAULT_server_SIGN) $^
$(DEST)client.p12: $(DEST)client.crt $(DEST)client.key
	./tool gen-pkcs12-p12 $@ $(DOMAIN) $^
$(DEST)client.pem: $(DEST)client.p12
	./tool pkcs12-convert-p12-pem $@ $(DOMAIN) $^
CHAINS += $(DEST)client.pem

#######################################

.PHONY: chains
chains: $(CHAINS)

.PHONY: install
install: $(CHAINS)
	cp $(DEST)client.key ../client.key
	cp $(DEST)client.crt ../client.crt
	cp $(DEST)client-ca-root.crt ../client-ca-root.crt
	cp $(DEST)server-rsa2048.key ../server.key
	cp $(DEST)server-rsa2048.pem ../server_chain.pem
	cp $(DEST)ca-root.crt ../ca-root.crt

=== debian/changelog ===
python-dogpile.cache (1.1.8-3) unstable; urgency=medium

  * Cleans better (Closes: #1047161).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:19:11 +0200

python-dogpile.cache (1.1.8-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:57:40 +0200

python-dogpile.cache (1.1.8-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 13:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-pytest,
  python3-sphinx-paramlinks,
  python3-stevedore,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-dogpile.cache
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-dogpile.cache.git
 Homepage: https://github.com/sqlalchemy/dogpile.cache.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info .pytest_cache
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-dogpile.cache 1.3.1

=== debian/changelog ===
python-dogpile.cache (1.3.1-1~cloud0) noble-dalmatian; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Automaton <openstack-testing-bot@ubuntu.com>  Tue, 06 Aug 2024 07:52:57 +0000

python-dogpile.cache (1.3.1-1) unstable; urgency=medium

  * Removed python3-mock from build-depends (Closes: #1069916).
  * New upstream release.
  * Rebased remove-non-deterministic-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 08:13:10 +0200

## python-dogpile.cache 1.3.3

=== debian/changelog ===
python-dogpile.cache (1.3.3-1) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090492).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:04:24 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-coverage,
  python3-decorator,
  python3-mako,
- python3-mock,
  python3-pytest,
  python3-sphinx-paramlinks,
  python3-stevedore,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info .pytest_cache

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/_/\./g;s/rel//" \
https://github.com/sqlalchemy/dogpile.cache/tags .*/rel_(\d[_\d\.]+)\.tar\.gz

## python-dogpile.cache 1.5.0

=== debian/changelog ===
python-dogpile.cache (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * Added python3-sphinx-book-theme to build-depends-indep.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 25 Feb 2026 12:32:37 +0100

python-dogpile.cache (1.3.3-2) unstable; urgency=medium

  * Cleans better (Closes: #1047161).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 13:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
@@ -17,6 +18,7 @@
  python3-decorator,
  python3-mako,
  python3-pytest,
+ python3-sphinx-book-theme,
  python3-sphinx-paramlinks,
  python3-stevedore,
 Standards-Version: 4.6.0
